pcl::texture_mapping::Camera Struct Reference

Structure to store camera pose and focal length. More...

`#include <pcl/surface/texture_mapping.h>`

## Public Member Functions

| Camera ()

## Public Attributes

Eigen::Affine3f | pose
double | focal_length
double | focal_length_w
double | focal_length_h
double | center_w
double | center_h
double | height
double | width
std::string | texture_file

## Detailed Description

Structure to store camera pose and focal length.

One can assign a value to focal_length, to be used along both camera axes or, optionally, axis-specific values (focal_length_w and focal_length_h). Optionally, one can also specify center-of-focus using parameters center_w and center_h. If the center-of-focus is not specified, it will be set to the geometric center of the camera, as defined by the width and height parameters.

Definition at line 65 of file texture_mapping.h.

## Constructor & Destructor Documentation

## Camera()

pcl::texture_mapping::Camera::Camera | ( |  | ) |

inline

Definition at line 67 of file texture_mapping.h.

## Member Data Documentation

## center_h

double pcl::texture_mapping::Camera::center_h

Definition at line 74 of file texture_mapping.h.

Referenced by pcl::TextureMapping< PointInT >::getPointUVCoordinates().

## center_w

double pcl::texture_mapping::Camera::center_w

Definition at line 73 of file texture_mapping.h.

Referenced by pcl::TextureMapping< PointInT >::getPointUVCoordinates().

## focal_length

double pcl::texture_mapping::Camera::focal_length

Definition at line 70 of file texture_mapping.h.

Referenced by pcl::TextureMapping< PointInT >::getPointUVCoordinates().

## focal_length_h

double pcl::texture_mapping::Camera::focal_length_h

Definition at line 72 of file texture_mapping.h.

Referenced by pcl::TextureMapping< PointInT >::getPointUVCoordinates().

## focal_length_w

double pcl::texture_mapping::Camera::focal_length_w

Definition at line 71 of file texture_mapping.h.

Referenced by pcl::TextureMapping< PointInT >::getPointUVCoordinates().

## height

double pcl::texture_mapping::Camera::height

Definition at line 75 of file texture_mapping.h.

Referenced by pcl::TextureMapping< PointInT >::getPointUVCoordinates().

## pose

Eigen::Affine3f pcl::texture_mapping::Camera::pose

Definition at line 69 of file texture_mapping.h.

Referenced by pcl::TextureMapping< PointInT >::mapMultipleTexturesToMeshUV().

## texture_file

std::string pcl::texture_mapping::Camera::texture_file

Definition at line 77 of file texture_mapping.h.

Referenced by pcl::TextureMapping< PointInT >::mapMultipleTexturesToMeshUV().

## width

double pcl::texture_mapping::Camera::width

Definition at line 76 of file texture_mapping.h.

Referenced by pcl::TextureMapping< PointInT >::getPointUVCoordinates().

The documentation for this struct was generated from the following file:

- pcl/surface/texture_mapping.h